
package de.ivu.elect.business.entschaedigung.boundary;

import java.util.ArrayList;
import java.util.List;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;

public class AuszahlungSearch extends AbstractAuszahlungSearch {

  public AuszahlungSearch() {
    super();
  }

  @Override
  protected List<Auszahlung> querySearchResult(AuszahlungSearchParameters searchParameters) {
    List<Auszahlung> result = new ArrayList<>();

    if (searchParameters.isWahlterminSelected()) {
      result.addAll(dao.findByWahltermin(searchParameters.getSelectedWahltermin()));
    } else if (searchParameters.isWahlSelected()) {
      result.addAll(dao.findByWahl(searchParameters.getSelectedWahl()));
    }

    return result;
  }
}
